<!DOCTYPE HTML>
<html lang="en" class="sidebar-visible no-js light">
    <head>
        <!-- Book generated using mdBook -->
        <meta charset="UTF-8">
        <title>Proposta Técnica - Arquitetura Mínima Viável</title>
        <!-- Custom HTML head -->
        <meta content="text/html; charset=utf-8" http-equiv="Content-Type">
        <meta name="description" content="">
        <meta name="viewport" content="width=device-width, initial-scale=1">
        <meta name="theme-color" content="#ffffff" />

        <link rel="icon" href="favicon.svg">
        <link rel="shortcut icon" href="favicon.png">
        <link rel="stylesheet" href="css/variables.css">
        <link rel="stylesheet" href="css/general.css">
        <link rel="stylesheet" href="css/chrome.css">
        <link rel="stylesheet" href="css/print.css" media="print">
        <!-- Fonts -->
        <link rel="stylesheet" href="FontAwesome/css/font-awesome.css">
        <link rel="stylesheet" href="fonts/fonts.css">
        <!-- Highlight.js Stylesheets -->
        <link rel="stylesheet" href="highlight.css">
        <link rel="stylesheet" href="tomorrow-night.css">
        <link rel="stylesheet" href="ayu-highlight.css">

        <!-- Custom theme stylesheets -->
    </head>
    <body>
        <!-- Provide site root to javascript -->
        <script type="text/javascript">
            var path_to_root = "";
            var default_theme = window.matchMedia("(prefers-color-scheme: dark)").matches ? "navy" : "light";
        </script>

        <!-- Work around some values being stored in localStorage wrapped in quotes -->
        <script type="text/javascript">
            try {
                var theme = localStorage.getItem('mdbook-theme');
                var sidebar = localStorage.getItem('mdbook-sidebar');

                if (theme.startsWith('"') && theme.endsWith('"')) {
                    localStorage.setItem('mdbook-theme', theme.slice(1, theme.length - 1));
                }

                if (sidebar.startsWith('"') && sidebar.endsWith('"')) {
                    localStorage.setItem('mdbook-sidebar', sidebar.slice(1, sidebar.length - 1));
                }
            } catch (e) { }
        </script>

        <!-- Set the theme before any content is loaded, prevents flash -->
        <script type="text/javascript">
            var theme;
            try { theme = localStorage.getItem('mdbook-theme'); } catch(e) { }
            if (theme === null || theme === undefined) { theme = default_theme; }
            var html = document.querySelector('html');
            html.classList.remove('no-js')
            html.classList.remove('light')
            html.classList.add(theme);
            html.classList.add('js');
        </script>

        <!-- Hide / unhide sidebar before it is displayed -->
        <script type="text/javascript">
            var html = document.querySelector('html');
            var sidebar = 'hidden';
            if (document.body.clientWidth >= 1080) {
                try { sidebar = localStorage.getItem('mdbook-sidebar'); } catch(e) { }
                sidebar = sidebar || 'visible';
            }
            html.classList.remove('sidebar-visible');
            html.classList.add("sidebar-" + sidebar);
        </script>

        <nav id="sidebar" class="sidebar" aria-label="Table of contents">
            <div class="sidebar-scrollbox">
                <ol class="chapter"><li class="chapter-item expanded "><a href="intro.html"><strong aria-hidden="true">1.</strong> Introdução</a></li><li class="chapter-item expanded "><a href="togaf.html"><strong aria-hidden="true">2.</strong> ToGAF O-AAF</a></li><li class="chapter-item expanded "><a href="objetivo.html"><strong aria-hidden="true">3.</strong> Objetivo</a></li><li class="chapter-item expanded "><a href="proposta.html" class="active"><strong aria-hidden="true">4.</strong> Proposta Técnica</a></li><li class="chapter-item expanded "><a href="entrevistas.html"><strong aria-hidden="true">5.</strong> Entrevista</a></li><li><ol class="section"><li class="chapter-item expanded "><a href="entrevista/arqsis.html"><strong aria-hidden="true">5.1.</strong> Arquitetura de Sistemas</a></li><li class="chapter-item expanded "><a href="entrevista/seg.html"><strong aria-hidden="true">5.2.</strong> Segurança</a></li><li class="chapter-item expanded "><a href="entrevista/infra.html"><strong aria-hidden="true">5.3.</strong> Infraestrutura</a></li><li class="chapter-item expanded "><a href="entrevista/db.html"><strong aria-hidden="true">5.4.</strong> Dados</a></li><li class="chapter-item expanded "><a href="entrevista/proj.html"><strong aria-hidden="true">5.5.</strong> Projetos</a></li></ol></li><li class="chapter-item expanded "><a href="asis.html"><strong aria-hidden="true">6.</strong> AS-IS de Arquitetura</a></li><li class="chapter-item expanded "><a href="mva.html"><strong aria-hidden="true">7.</strong> Arquitetura Mínima Viável</a></li><li><ol class="section"><li class="chapter-item expanded "><a href="mva/mvadesign.html"><strong aria-hidden="true">7.1.</strong> Arquitetura de Design</a></li><li><ol class="section"><li class="chapter-item expanded "><a href="mva/ad/adrs/adr001.html"><strong aria-hidden="true">7.1.1.</strong> ADR-001</a></li><li class="chapter-item expanded "><a href="mva/ad/adrs/adr002.html"><strong aria-hidden="true">7.1.2.</strong> ADR-002</a></li><li class="chapter-item expanded "><a href="mva/ad/adrs/adr003.html"><strong aria-hidden="true">7.1.3.</strong> ADR-003</a></li><li class="chapter-item expanded "><a href="mva/ad/adrs/adr004.html"><strong aria-hidden="true">7.1.4.</strong> ADR-004</a></li><li class="chapter-item expanded "><a href="mva/ad/adrs/adr005.html"><strong aria-hidden="true">7.1.5.</strong> ADR-005</a></li><li class="chapter-item expanded "><a href="mva/ad/adrs/adr006.html"><strong aria-hidden="true">7.1.6.</strong> ADR-006</a></li><li class="chapter-item expanded "><a href="mva/ad/adrs/adr007.html"><strong aria-hidden="true">7.1.7.</strong> ADR-007</a></li><li class="chapter-item expanded "><a href="mva/ad/adrs/adr008.html"><strong aria-hidden="true">7.1.8.</strong> ADR-008</a></li><li class="chapter-item expanded "><a href="mva/ad/adrs/adr009.html"><strong aria-hidden="true">7.1.9.</strong> ADR-009</a></li></ol></li><li class="chapter-item expanded "><a href="mva/mvasol.html"><strong aria-hidden="true">7.2.</strong> Arquitetura de Solucao</a></li><li><ol class="section"><li class="chapter-item expanded "><a href="mva/as/adrs/adr001.html"><strong aria-hidden="true">7.2.1.</strong> ADR-001</a></li><li class="chapter-item expanded "><a href="mva/as/adrs/adr002.html"><strong aria-hidden="true">7.2.2.</strong> ADR-002</a></li><li class="chapter-item expanded "><a href="mva/as/adrs/adr003.html"><strong aria-hidden="true">7.2.3.</strong> ADR-003</a></li><li class="chapter-item expanded "><a href="mva/as/adrs/adr004.html"><strong aria-hidden="true">7.2.4.</strong> ADR-004</a></li><li class="chapter-item expanded "><a href="mva/as/adrs/adr005.html"><strong aria-hidden="true">7.2.5.</strong> ADR-005</a></li><li class="chapter-item expanded "><a href="mva/as/adrs/adr006.html"><strong aria-hidden="true">7.2.6.</strong> ADR-006</a></li><li class="chapter-item expanded "><a href="mva/as/adrs/adr007.html"><strong aria-hidden="true">7.2.7.</strong> ADR-007</a></li><li class="chapter-item expanded "><a href="mva/as/adrs/adr008.html"><strong aria-hidden="true">7.2.8.</strong> ADR-008</a></li><li class="chapter-item expanded "><a href="mva/as/adrs/adr009.html"><strong aria-hidden="true">7.2.9.</strong> ADR-009</a></li><li class="chapter-item expanded "><a href="mva/as/adrs/adr010.html"><strong aria-hidden="true">7.2.10.</strong> ADR-010</a></li><li class="chapter-item expanded "><a href="mva/as/adrs/adr011.html"><strong aria-hidden="true">7.2.11.</strong> ADR-011</a></li><li class="chapter-item expanded "><a href="mva/as/adrs/adr012.html"><strong aria-hidden="true">7.2.12.</strong> ADR-012</a></li></ol></li></ol></li><li class="chapter-item expanded "><a href="gov/intro.html"><strong aria-hidden="true">8.</strong> Governança de Arquitetura</a></li><li><ol class="section"><li class="chapter-item expanded "><a href="gov/fase1.html"><strong aria-hidden="true">8.1.</strong> MGM Microservices Governance Maturity</a></li><li><ol class="section"><li class="chapter-item expanded "><a href="gov/fase1/ADR-001.html"><strong aria-hidden="true">8.1.1.</strong> ADR-001</a></li><li class="chapter-item expanded "><a href="gov/fase1/ADR-002.html"><strong aria-hidden="true">8.1.2.</strong> ADR-002</a></li><li class="chapter-item expanded "><a href="gov/fase1/ADR-003.html"><strong aria-hidden="true">8.1.3.</strong> ADR-003</a></li><li class="chapter-item expanded "><a href="gov/fase1/ADR-004.html"><strong aria-hidden="true">8.1.4.</strong> ADR-004</a></li><li class="chapter-item expanded "><a href="gov/fase1/ADR-005.html"><strong aria-hidden="true">8.1.5.</strong> ADR-005</a></li><li class="chapter-item expanded "><a href="gov/fase1/ADR-006.html"><strong aria-hidden="true">8.1.6.</strong> ADR-006</a></li><li class="chapter-item expanded "><a href="gov/fase1/ADR-007.html"><strong aria-hidden="true">8.1.7.</strong> ADR-007</a></li><li class="chapter-item expanded "><a href="gov/fase1/ADR-008.html"><strong aria-hidden="true">8.1.8.</strong> ADR-008</a></li><li class="chapter-item expanded "><a href="gov/fase1/ADR-009.html"><strong aria-hidden="true">8.1.9.</strong> ADR-009</a></li><li class="chapter-item expanded "><a href="gov/fase1/ADR-010.html"><strong aria-hidden="true">8.1.10.</strong> ADR-010</a></li><li class="chapter-item expanded "><a href="gov/fase1/ADR-011.html"><strong aria-hidden="true">8.1.11.</strong> ADR-011</a></li><li class="chapter-item expanded "><a href="gov/fase1/ADR-012.html"><strong aria-hidden="true">8.1.12.</strong> ADR-012</a></li><li class="chapter-item expanded "><a href="gov/fase1/ADR-013.html"><strong aria-hidden="true">8.1.13.</strong> ADR-013</a></li><li class="chapter-item expanded "><a href="gov/fase1/ADR-014.html"><strong aria-hidden="true">8.1.14.</strong> ADR-014</a></li><li class="chapter-item expanded "><a href="gov/fase1/ADR-015.html"><strong aria-hidden="true">8.1.15.</strong> ADR-015</a></li><li class="chapter-item expanded "><a href="gov/fase1/ADR-016.html"><strong aria-hidden="true">8.1.16.</strong> ADR-016</a></li><li class="chapter-item expanded "><a href="gov/fase1/ADR-017.html"><strong aria-hidden="true">8.1.17.</strong> ADR-017</a></li><li class="chapter-item expanded "><a href="gov/fase1/ADR-018.html"><strong aria-hidden="true">8.1.18.</strong> ADR-018</a></li><li class="chapter-item expanded "><a href="gov/fase1/ADR-019.html"><strong aria-hidden="true">8.1.19.</strong> ADR-019</a></li><li class="chapter-item expanded "><a href="gov/fase1/ADR-020.html"><strong aria-hidden="true">8.1.20.</strong> ADR-020</a></li><li class="chapter-item expanded "><a href="gov/fase1/Ferramental-AS-IS.html"><strong aria-hidden="true">8.1.21.</strong> Ferramental AS-IS</a></li><li class="chapter-item expanded "><a href="gov/fase1/GAP-Analysis.html"><strong aria-hidden="true">8.1.22.</strong> GAP Analysis</a></li></ol></li><li class="chapter-item expanded "><a href="gov/fase2.html"><strong aria-hidden="true">8.2.</strong> MGPD Microservices Governance Process Design</a></li><li><ol class="section"><li class="chapter-item expanded "><a href="gov/fase2/Introdução.html"><strong aria-hidden="true">8.2.1.</strong> Introdução</a></li><li class="chapter-item expanded "><a href="gov/fase2/Ferramentas.html"><strong aria-hidden="true">8.2.2.</strong> Ferramentas</a></li><li class="chapter-item expanded "><a href="gov/fase2/Governança-de-Planejamento.html"><strong aria-hidden="true">8.2.3.</strong> Governança de Planejamento</a></li><li><ol class="section"><li class="chapter-item expanded "><a href="gov/fase2/Governança-de-Planejamento/Política-de-Infraestrutura.html"><strong aria-hidden="true">8.2.3.1.</strong> Política de Infraestrutura</a></li><li class="chapter-item expanded "><a href="gov/fase2/Governança-de-Planejamento/Política-de-Arquitetura.html"><strong aria-hidden="true">8.2.3.2.</strong> Política de Arquitetura</a></li><li class="chapter-item expanded "><a href="gov/fase2/Governança-de-Planejamento/Política-de-Segurança.html"><strong aria-hidden="true">8.2.3.3.</strong> Política de Segurança</a></li><li class="chapter-item expanded "><a href="gov/fase2/Governança-de-Planejamento/Política-de-APIs.html"><strong aria-hidden="true">8.2.3.4.</strong> Política de APIs</a></li></ol></li><li class="chapter-item expanded "><a href="gov/fase2/Governança-de-Desenvolvimento.html"><strong aria-hidden="true">8.2.4.</strong> Governança de Desenvolvimento</a></li><li><ol class="section"><li class="chapter-item expanded "><a href="gov/fase2/Governança-de-Desenvolvimento/Política-de-Desenvolvimento.html"><strong aria-hidden="true">8.2.4.1.</strong> Política de Desenvolvimento</a></li><li class="chapter-item expanded "><a href="gov/fase2/Governança-de-Desenvolvimento/Política-de-Qualidade-e-Métricas.html"><strong aria-hidden="true">8.2.4.2.</strong> Política de Qualidade e Métricas</a></li><li class="chapter-item expanded "><a href="gov/fase2/Governança-de-Desenvolvimento/Política-de-Testes.html"><strong aria-hidden="true">8.2.4.3.</strong> Política de Testes</a></li><li class="chapter-item expanded "><a href="gov/fase2/Governança-de-Desenvolvimento/Política-de-Construção.html"><strong aria-hidden="true">8.2.4.4.</strong> Política de Construção</a></li></ol></li><li class="chapter-item expanded "><a href="gov/fase2/Governança-de-Operação.html"><strong aria-hidden="true">8.2.5.</strong> Governança de Operação</a></li><li><ol class="section"><li class="chapter-item expanded "><a href="gov/fase2/Governança-de-Operação/Política-de-Operação.html"><strong aria-hidden="true">8.2.5.1.</strong> Política de Operação</a></li><li class="chapter-item expanded "><a href="gov/fase2/Governança-de-Operação/Política-de-Versionamento.html"><strong aria-hidden="true">8.2.5.2.</strong> Política de Versionamento</a></li></ol></li><li class="chapter-item expanded "><a href="gov/fase2/Governança-de-Compartilhamento.html"><strong aria-hidden="true">8.2.6.</strong> Governança de Compartilhamento</a></li><li><ol class="section"><li class="chapter-item expanded "><a href="gov/fase2/Governança-de-Compartilhamento/Política-de-Monitoramento-e-Métricas-de-APIs.html"><strong aria-hidden="true">8.2.6.1.</strong> Política de Monitoramento e Métricas de APIs</a></li></ol></li><li class="chapter-item expanded "><a href="gov/fase2/Modelos-de-Documentação.html"><strong aria-hidden="true">8.2.7.</strong> Modelos de Documentação</a></li><li><ol class="section"><li class="chapter-item expanded "><a href="gov/fase2/Modelos-de-Documentação/1.-Documento-de-Contrato-de-Microserviço.html"><strong aria-hidden="true">8.2.7.1.</strong> 1 Documento de Contrato de Microserviço</a></li><li class="chapter-item expanded "><a href="gov/fase2/Modelos-de-Documentação/2.-Checklist-de-aprovação-para-implantação.html"><strong aria-hidden="true">8.2.7.2.</strong> 2 Checklist de Aprovação para Implantação</a></li></ol></li></ol></li></ol></li></ol>
            </div>
            <div id="sidebar-resize-handle" class="sidebar-resize-handle"></div>
        </nav>

        <div id="page-wrapper" class="page-wrapper">

            <div class="page">
                <div id="menu-bar-hover-placeholder"></div>
                <div id="menu-bar" class="menu-bar sticky bordered">
                    <div class="left-buttons">
                        <button id="sidebar-toggle" class="icon-button" type="button" title="Toggle Table of Contents" aria-label="Toggle Table of Contents" aria-controls="sidebar">
                            <i class="fa fa-bars"></i>
                        </button>
                        <button id="theme-toggle" class="icon-button" type="button" title="Change theme" aria-label="Change theme" aria-haspopup="true" aria-expanded="false" aria-controls="theme-list">
                            <i class="fa fa-paint-brush"></i>
                        </button>
                        <ul id="theme-list" class="theme-popup" aria-label="Themes" role="menu">
                            <li role="none"><button role="menuitem" class="theme" id="light">Light (default)</button></li>
                            <li role="none"><button role="menuitem" class="theme" id="rust">Rust</button></li>
                            <li role="none"><button role="menuitem" class="theme" id="coal">Coal</button></li>
                            <li role="none"><button role="menuitem" class="theme" id="navy">Navy</button></li>
                            <li role="none"><button role="menuitem" class="theme" id="ayu">Ayu</button></li>
                        </ul>
                        <button id="search-toggle" class="icon-button" type="button" title="Search. (Shortkey: s)" aria-label="Toggle Searchbar" aria-expanded="false" aria-keyshortcuts="S" aria-controls="searchbar">
                            <i class="fa fa-search"></i>
                        </button>
                    </div>

                    <h1 class="menu-title">Arquitetura Mínima Viável</h1>

                    <div class="right-buttons">
                        <a href="print.html" title="Print this book" aria-label="Print this book">
                            <i id="print-button" class="fa fa-print"></i>
                        </a>
                    </div>
                </div>

                <div id="search-wrapper" class="hidden">
                    <form id="searchbar-outer" class="searchbar-outer">
                        <input type="search" id="searchbar" name="searchbar" placeholder="Search this book ..." aria-controls="searchresults-outer" aria-describedby="searchresults-header">
                    </form>
                    <div id="searchresults-outer" class="searchresults-outer hidden">
                        <div id="searchresults-header" class="searchresults-header"></div>
                        <ul id="searchresults">
                        </ul>
                    </div>
                </div>
                <!-- Apply ARIA attributes after the sidebar and the sidebar toggle button are added to the DOM -->
                <script type="text/javascript">
                    document.getElementById('sidebar-toggle').setAttribute('aria-expanded', sidebar === 'visible');
                    document.getElementById('sidebar').setAttribute('aria-hidden', sidebar !== 'visible');
                    Array.from(document.querySelectorAll('#sidebar a')).forEach(function(link) {
                        link.setAttribute('tabIndex', sidebar === 'visible' ? 0 : -1);
                    });
                </script>

                <div id="content" class="content">
                    <main>
                        <p><img src="./img/logo-valecard.png" alt="Screenshot" /></p>
<h1 id="4-proposta-técnica"><a class="header" href="#4-proposta-técnica">4. Proposta Técnica</a></h1>
<p><img src="./img/propostaTec.png" alt="Screenshot" /></p>
<h2 id="41-entregáveis"><a class="header" href="#41-entregáveis">4.1. Entregáveis</a></h2>
<h4 id="411-arquitetura-de-análise"><a class="header" href="#411-arquitetura-de-análise">4.1.1. Arquitetura de Análise</a></h4>
<table><thead><tr><th>Entregável</th><th>Descrição</th><th>Benefício</th></tr></thead><tbody>
<tr><td>Visão da Arquitetura atual (AS IS) – Tecnologias da arquitetura em uso</td><td>Relatório contendo o cenário de arquitetura estrutural da companhia incluindo as tecnologias utilizadas. (Linguagens, Ferramentas, Aplicações, etc.)</td><td>O diagnóstico das tecnologias utilizadas na arquitetura presente possibilita o entendimento do cenário e dos ativos existentes, estes são considerados na elaboração da futura Arquitetura de Referência.</td></tr>
<tr><td>Retrato da Arquitetura atual e problemas identificados sob o ponto de vista técnico e de negócio.</td><td>Limitações, problemas e dificuldades atuais, requerimentos e diretrizes para a visão futura, visão dos componentes de negócio, princípios de modelo de arquitetura desejada</td><td>O relatório possibilita entender as características não funcionais e funcionais que não performam como o esperado no momento atual. O diagnóstico do cenário atual possibilitará a correta identificação dos GAPs (Limitantes Técnicos e de Negócios) existentes entre a arquitetura atual e a arquitetura desejada.</td></tr>
</tbody></table>
<h4 id="412-arquitetura-de-design"><a class="header" href="#412-arquitetura-de-design">4.1.2. Arquitetura de Design</a></h4>
<table><thead><tr><th>Entregável</th><th>Descrição</th><th>Benefício</th></tr></thead><tbody>
<tr><td>Arquitetura Proposta Desejada (To Be).</td><td>Desenho de Arquitetura conceitual elaborada a partir dos problemas que se deseja resolver e quais as tecnologias disponíveis para tal.</td><td>Este possibilita o claro entendimento das tecnologias sem a nomeação de ferramentas específicas. Também ajuda no entendimento dos benefícios das tecnologias existentes que solucionam os problemas encontrados no AS-IS.</td></tr>
<tr><td>Quadro de Domínios de Microsserviços focado no negócio.</td><td>Definição de domínios do negócio que a arquitetura tratará para a criação de APIs e Microsserviços; Relação de Domínios Identificados.</td><td>Com a abordagem Domain Driven é possível maximizar o reuso, criar times independentes e não bloqueantes, características importantes para uma Arquitetura com Microsserviços e APIs.</td></tr>
</tbody></table>
<h4 id="413-arquitetura-de-solução"><a class="header" href="#413-arquitetura-de-solução">4.1.3. Arquitetura de Solução</a></h4>
<table><thead><tr><th>Entregável</th><th>Descrição</th><th>Benefício</th></tr></thead><tbody>
<tr><td>Análise de Problemas e o endereçamento das soluções na arquitetura modernizada.</td><td>Compila-se os problemas e dificuldades atuais encontradas, requerimentos e diretrizes necessárias ao negócio tendo-se como meta solucionar todos os problemas identificados (limitadores técnicos e negócio) com as visões de soluções contidas na arquitetura futura.</td><td>O relatório possibilita entender como as soluções de design patterns, ferramentas e técnicas são aplicadas na resolução dos limitantes de negócio e técnicos, endereçadas na fase de Análise, explorados genericamente na fase de Design e detalhados nesta fase, para que a nova arquitetura seja consistente.</td></tr>
<tr><td>Todos os elementos (ferramentas, framework, produtos) que irão compor a nova arquitetura para o desenvolvimento de APIs, Microsserviço e IA.</td><td>Definição do padrão para design e construção de Microsserviços (ex.: componentes, frameworks e APIs)</td><td>Definindo o padrão de construção é possível garantir que todos os desenvolvimentos estarão enquadrados em um conjunto de padrões de desenvolvimento aderentes a arquitetura. Padronizamos através de documentação e este servirá de guia de construção, evitando customizações desnecessárias, despadronização, tempo de pesquisa, ganhando agilidade e segurança para as soluções.</td></tr>
<tr><td>Lista de ferramentas de softwares que irão compor a nova arquitetura.</td><td>Desenha-se uma arquitetura desejada, abordando ou tangenciando a Governança, DevOps, QA e SLDC e endereçando as ferramentas que podem ser adotadas.</td><td>Uma TI ágil, com governança e seu SLDC alicerçado por políticas permite entregas com qualidade e constantes.</td></tr>
<tr><td>Modelos de comunicação e compartilhamento de dados.</td><td>Padrões para compartilhamento de informações entre serviços, Microsserviços, consumidores e produtores de msgs, fontes distintas de informação, com modelos de logs visando rastreabilidade da informação transferida.</td><td>Definindo um padrão para comunicação entre Microsserviços, serviços, fontes e destinos de dados é possível garantir que todos os desenvolvimentos seguirão as mesmas referências, minimizando erros e maximizando a integridade, garantia e unicidade de dados. Ex: Mapa de transferência; formato de mensagens JSON, XML ou Avro; layout padrão;</td></tr>
<tr><td>Modelos de Documentação para APIs e Microsserviços.</td><td>Documentos padrões para documentar APIs e Microsserviços.</td><td>Aumenta o entendimento de APIs e Microsserviços em projetos, garantindo que todos os desenvolvimentos seguirão as mesmas referências, facilitando assim o entendimento e manutenções.</td></tr>
<tr><td>DevOps de APIs, Microsserviços e IA.</td><td>Listagem de todas as ferramentas (do Levantamento do Requisito ao Monitoramento de Microsserviços) a serem utilizadas por diferentes perfis e papeis de uma célula de desenvolvimento, sobre uma esteira de DevOps.</td><td>Aumenta o entendimento da arquitetura em projetos, garantindo que a esteira de desenvolvimento sobre DevOps seguirá as mesmas referências, facilitando assim o entendimento e manutenções.</td></tr>
<tr><td>Documentação final da Arquitetura de Referência.</td><td>Contendo todas secções descritas anteriormente tendo as fases do trabalho de Análise, Design e Solução), Matriz com Limitantes técnicos e de negócio da arquitetura atual; Novos Requisitos e Indicação de Ferramentas que englobe: Plataforma de Containers, Log Distribuído,Gerenciador de APIs, Acompanhamento de Demandas, etc.</td><td>Cria um documento único que explica os limitantes e impactos ao negócio encontrados na arquitetura atual (AS-IS) e mostra, através da explicação textual e desenho da arquitetura de solução (TO-BE) como a nova arquitetura conseguirá solucionar e superar as limitações e problemas encontrados na empresa.</td></tr>
<tr><td>(Fora do Escopo) Plano de Capacitação.</td><td>Plano para capacitação do time atual frente aos desafios de transformação de arquitetura.</td><td>Cursos que vão ao encontro das tecnologias da arquitetura de referência, Frontend e Backend.</td></tr>
</tbody></table>
<h4 id="414-arquitetura-de-implementação--infraestrutura"><a class="header" href="#414-arquitetura-de-implementação--infraestrutura">4.1.4. Arquitetura de Implementação + Infraestrutura</a></h4>
<table><thead><tr><th>Entregável</th><th>Descrição</th><th>Benefício</th></tr></thead><tbody>
<tr><td>Código implementado de referência com as tecnologias da AR.</td><td>Codificação com o padrão de design e construção de Microsserviços, APIs e IA.</td><td>Tenho o código implementado, com padrões, bibliotecas, frameworks, projeto, este facilita para a adoção da arquitetura de referência. Com este é possível garantir que todos os desenvolvimentos estarão enquadrados em um conjunto de padrões de desenvolvimento aderentes a arquitetura. Desta forma se reduz o risco de implementação, tempo de pesquisa, ganhando agilidade e segurança para as futuras implementações.</td></tr>
<tr><td>Ambiente (Infraestrutura) Dev. de Referência instalada e configurada.</td><td>Criação do Ambiente de desenvolvimento que servirá de Referência (Infraestrutura de Software) com toda a stack de tecnologias que foram elencadas na fase de Solução. Tal ambiente poderá ser on-premise e ou cloud (AWS, Azure, Google).</td><td>Com um ambiente de referência construído os times de desenvolvimento (Squads) poderão iniciar os projetos tendo a certeza na prática de como a codificação de referência funciona e no ambiente da arquitetura de referência. Redução do risco de implantação através da comprovação de uso das tecnologias sugeridas nas fases anteriores.</td></tr>
<tr><td>Capacity Plan ambiente produtivo.</td><td>Capacity necessário para executar toda a nova arquitetura em ambiente produtivo. Este contém número de máquinas, quantidade de VCPU, memória, disco, etc.</td><td>Com este é possível ao Cliente levantar com seus fornecedores o custo associado para a adoção da nova arquitetura.</td></tr>
<tr><td>Codificação em ambiente de referência IaC</td><td>Implementação de referência para ambiente IaC em cloud. Com IaC em vez de manipular os itens de infraestruturas manualmente e individualmente, as operações são controladas pelo mesmo estilo de regras e restrições usadas em código no desenvolvimento de software. Todo um ambiente pode ser criado e recriado de forma exatamente idêntica, sempre que necessário, pois existe codificação para tal. Nesta referência podemos mostrar a escalabilidade automática de uma infraestrutura baseada na demanda do operacional da TI.</td><td>Este permite ter uma infraestrutura automatizada de forma proativa, sem interferência humana, aplicando AIOPS onde Machine Learning é usado na identificação de anomalias e tomada e ações automatizadas com IaC são realizadas para atender a demanda, criar ambientes sob demanda, dar maior robustez a operação.</td></tr>
</tbody></table>
<h4 id="415-arquitetura-de-plano-de-transição"><a class="header" href="#415-arquitetura-de-plano-de-transição">4.1.5. Arquitetura de Plano de Transição</a></h4>
<table><thead><tr><th>Entregável</th><th>Descrição</th><th>Benefício</th></tr></thead><tbody>
<tr><td>(Fora do escopo) Documentação de Transição.</td><td>Documento criado nesta fase, visa planejar os passos para a transformação da arquitetura aplicada no legado. Faz a avaliação do legado, planeja como aplicar a arquitetura de referência escolhida, se preocupando com a operação e interoperabilidade entre outros sistemas legados existentes, lavando-se em conta riscos e marcos.</td><td>Analisa riscos de transição, define marcos e planeja a transição do sistema legado de forma organizada.</td></tr>
</tbody></table>
<h4 id="416-acelerador-de-mudanças"><a class="header" href="#416-acelerador-de-mudanças">4.1.6. Acelerador de Mudanças</a></h4>
<table><thead><tr><th>Entregável</th><th>Descrição</th><th>Benefício</th></tr></thead><tbody>
<tr><td>(Fora do escopo) Aplicar a Arquitetura de Referência com o Time do cliente, em projetos de transformação de legado.</td><td>Acompanhamento e auxílio de nosso time de desenvolvedores, arquitetos e especialistas de produtos onde aplicamos com o cliente todas as tecnologias da arquitetura de referência, visando a transformação do legado, tendo como referência os projetos identificados no plano de transição.</td><td>Reduz riscos de implantação, ganha-se em velocidade, cria-se maturidade e segurança devido a mentoria e suporte ao time de transformação de sistemas ao longo da mudança.</td></tr>
</tbody></table>
<br>
<br>
<p><img src="./img/duracao.png" alt="Screenshot" /></p>

                    </main>

                    <nav class="nav-wrapper" aria-label="Page navigation">
                        <!-- Mobile navigation buttons -->
                            <a rel="prev" href="objetivo.html" class="mobile-nav-chapters previous" title="Previous chapter" aria-label="Previous chapter" aria-keyshortcuts="Left">
                                <i class="fa fa-angle-left"></i>
                            </a>
                            <a rel="next" href="entrevistas.html" class="mobile-nav-chapters next" title="Next chapter" aria-label="Next chapter" aria-keyshortcuts="Right">
                                <i class="fa fa-angle-right"></i>
                            </a>
                        <div style="clear: both"></div>
                    </nav>
                </div>
            </div>

            <nav class="nav-wide-wrapper" aria-label="Page navigation">
                    <a rel="prev" href="objetivo.html" class="nav-chapters previous" title="Previous chapter" aria-label="Previous chapter" aria-keyshortcuts="Left">
                        <i class="fa fa-angle-left"></i>
                    </a>
                    <a rel="next" href="entrevistas.html" class="nav-chapters next" title="Next chapter" aria-label="Next chapter" aria-keyshortcuts="Right">
                        <i class="fa fa-angle-right"></i>
                    </a>
            </nav>

        </div>

        <script type="text/javascript">
            window.playground_copyable = true;
        </script>
        <script src="elasticlunr.min.js" type="text/javascript" charset="utf-8"></script>
        <script src="mark.min.js" type="text/javascript" charset="utf-8"></script>
        <script src="searcher.js" type="text/javascript" charset="utf-8"></script>
        <script src="clipboard.min.js" type="text/javascript" charset="utf-8"></script>
        <script src="highlight.js" type="text/javascript" charset="utf-8"></script>
        <script src="book.js" type="text/javascript" charset="utf-8"></script>

        <!-- Custom JS scripts -->
    </body>
</html>
